'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * split rows into thead contens and body contents,
 * unless "headless" option is set
 */
var splitHeader = function splitHeader(props) {
    var rows = props.children;
    var header = !props.node.get('data').get('headless');

    if (!header || !rows || !rows.length || rows.length === 1) {
        return { header: null, rows: rows };
    }
    return {
        header: rows[0],
        rows: rows.slice(1)
    };
};

/**
 * default renderers for easier use in your own schema
 * @param {Object} opts The same opts passed into plugin instance
 */
var makeRenderers = function makeRenderers() {
    var _ref;

    var opts = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    return _ref = {}, _defineProperty(_ref, opts.typeTable || 'table', function (props) {
        var _splitHeader = splitHeader(props),
            header = _splitHeader.header,
            rows = _splitHeader.rows;

        return _react2.default.createElement(
            'table',
            null,
            header && _react2.default.createElement(
                'thead',
                props.attributes,
                header
            ),
            _react2.default.createElement(
                'tbody',
                props.attributes,
                rows
            )
        );
    }), _defineProperty(_ref, opts.typeRow || 'table_row', function (props) {
        return _react2.default.createElement(
            'tr',
            props.attributes,
            props.children
        );
    }), _defineProperty(_ref, opts.typeCell || 'table_cell', function (props) {
        return _react2.default.createElement(
            'td',
            props.attributes,
            props.children
        );
    }), _ref;
};

module.exports = makeRenderers;