'use strict';

var TablePosition = require('../TablePosition');

/**
 * Toggles table headers on / off
 *
 * @param {Object} opts
 * @param {Slate.Transform} transform
 * @return {Slate.Transform}
 */
function toggleHeaders(opts, transform) {
    var state = transform.state;
    var startBlock = state.startBlock;


    var pos = TablePosition.create(state, startBlock, opts);
    var table = pos.table;


    var currentSetting = !!table.get('data').get('headless');

    transform.setNodeByKey(table.key, {
        data: {
            headless: !currentSetting
        }
    });

    return transform;
}

module.exports = toggleHeaders;